<template>
  <b-container>
    <b-row>
      <b-col>
        <b-list-group>
          <b-list-group-item v-for="td in todos" :key="td.id"
          class="d-flex justify-content-between align-items-center"
          >
            {{td.name}}
            <b-button variant="danger" @click="remove(td.id)">remove</b-button>
           </b-list-group-item>
        </b-list-group>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'List',
  props: {
    msg: String
  },
  mounted () {
    this.allList()
  },
  computed: {
    ...mapGetters(['todos'])
  },
  methods: {
    ...mapActions(['allList', 'removeItem']),
    remove (id) {
      this.removeItem(id)
    }
  }
}
</script>
